#include "CS_KanpaFaceToBack.h"
const int CS_KanpaSTATENAME_FACETOBACK = ++entityStateID;
CS_KanpaFaceToBack::CS_KanpaFaceToBack()
{
	stateID = CS_KanpaSTATENAME_FACETOBACK;
}

void CS_KanpaFaceToBack::State()
{
	auto we = e.lock();
	if (!we)
		return;

	const wchar_t* back = we->lr == 0 ? L"mc_kanpa_back_l" : L"mc_kanpa_back_r";
	we->ani.sprite_index = back;
}

void CS_KanpaFaceToBack::ChangeStateMsg(int stateID)
{
	if (stateID == GetStateID())
		enable = true;
	else
		enable = false;
}
